unit DelphiToInterbaseUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, StdCtrls, Grids, DBGrids, ExtCtrls, Db, IBDatabase,
  IBCustomDataSet, IBTable, IBUpdateSQL;

type
  TForm1 = class(TForm)
    IBTable1: TIBTable;
    IBDatabase1: TIBDatabase;
    IBTransaction1: TIBTransaction;
    DataSource1: TDataSource;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    DBGrid1: TDBGrid;
    Panel4: TPanel;
    DBNavigator1: TDBNavigator;
    DBMemo1: TDBMemo;
    DBImage1: TDBImage;
    btnOpenDB: TButton;
    btnCloseDB: TButton;
    procedure btnOpenDBClick(Sender: TObject);
    procedure btnCloseDBClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btnOpenDBClick(Sender: TObject);
begin
  // Check whether database is open
  // because you get an error message if you try to open an IBDatabase
  // that is already open
  if not (IBDatabase1.Connected) then
  begin
    IBDatabase1.Open;
    IBTransaction1.Active := true;
    IBTable1.Active := true;
  end;   // if IBDatabase1.Connected
end;

procedure TForm1.btnCloseDBClick(Sender: TObject);
begin
  // Check whether database is closed
  // because you get an error message if you try to close an IBDatabase
  // that is already closed.

  // Closing the Database also closes the Transaction
  // and any connected data components "hooked up" to the database

  // If you do not close a database before closing a program, it stays open!

  if (IBDatabase1.Connected) then IBDatabase1.Close;
end;

end.
